Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.recipe.protocol.v1
Class RevokePrescriptionForExecutorRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.recipe.protocol.v1.RevokePrescriptionForExecutorRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class RevokePrescriptionForExecutorRequest

extends RequestType
implements Serializable

Java class for RevokePrescriptionForExecutorRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevokePrescriptionForExecutorRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="SecuredRevokePrescriptionRequest" type="{urn:be:fgov:ehealth:recipe:core:v1}SecuredContentType"/>
             <element name="AdministrativeInformation" type="{urn:be:fgov:ehealth:recipe:core:v1}ExecutorServiceAdministrativeInformationType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevokePrescriptionForExecutorRequest()`

Method Summary
`ExecutorServiceAdministrativeInformationType` | `getAdministrativeInformation()` Gets the value of the administrativeInformation property.
`SecuredContentType` | `getSecuredRevokePrescriptionRequest()` Gets the value of the securedRevokePrescriptionRequest property.
`void` | `setAdministrativeInformation(ExecutorServiceAdministrativeInformationType value)` Sets the value of the administrativeInformation property.
`void` | `setSecuredRevokePrescriptionRequest(SecuredContentType value)` Sets the value of the securedRevokePrescriptionRequest property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokePrescriptionForExecutorRequest

    public RevokePrescriptionForExecutorRequest()

Method Detail

### getSecuredRevokePrescriptionRequest

    public SecuredContentType getSecuredRevokePrescriptionRequest()

  Gets the value of the securedRevokePrescriptionRequest property.

  Returns:
    possible object is `SecuredContentType`

### setSecuredRevokePrescriptionRequest

    public void setSecuredRevokePrescriptionRequest(SecuredContentType value)

  Sets the value of the securedRevokePrescriptionRequest property.

  Parameters:
    `value` - allowed object is `SecuredContentType`

### getAdministrativeInformation

    public ExecutorServiceAdministrativeInformationType getAdministrativeInformation()

  Gets the value of the administrativeInformation property.

  Returns:
    possible object is `ExecutorServiceAdministrativeInformationType`

### setAdministrativeInformation

    public void setAdministrativeInformation(ExecutorServiceAdministrativeInformationType value)

  Sets the value of the administrativeInformation property.

  Parameters:
    `value` - allowed object is `ExecutorServiceAdministrativeInformationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.